Skip to main content
`Ctrl`+`K`

# DMGetLocalSection

Get the `PetscSection` encoding the local data layout for the `DM`.

## Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMGetLocalSection(DM dm, PetscSection *section)

## Input Parameter

- dm - The `DM`

## Output Parameter

- section - The `PetscSection`

## Options Database Key

- -dm_petscsection_view - View the section created by the `DM`

## Note

This gets a borrowed reference, so the user should not destroy this `PetscSection`.

## See Also

DM Basics, `DM`, `DMSetLocalSection()`, `DMGetGlobalSection()`

## Level

intermediate

## Location

src/dm/interface/dm.c

## Examples

src/snes/tutorials/ex77.c
src/dm/impls/plex/tutorials/ex8.c
src/ts/tutorials/ex18.c
src/snes/tutorials/ex7.c
src/dm/impls/plex/tutorials/ex16.c
src/snes/tutorials/ex56.c
src/dm/impls/plex/tutorials/ex6.c
src/snes/tutorials/ex13.c
src/tao/tutorials/ex3.c
src/dm/impls/plex/tutorials/ex15.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages